/* This file is part of the libopencm3 project.
 *
 * It was generated by the irq2nvic_h script.
 */

#ifndef LIBOPENCM3_SAM3N_NVIC_H
#define LIBOPENCM3_SAM3N_NVIC_H

#include <libopencm3/cm3/nvic.h>

/** @defgroup CM3_nvic_defines_SAM3N User interrupts for Atmel SAM3N series
    @ingroup CM3_nvic_defines

    @{*/

#define NVIC_SUPC_IRQ 0
#define NVIC_RSTC_IRQ 1
#define NVIC_RTC_IRQ 2
#define NVIC_RTT_IRQ 3
#define NVIC_WDT_IRQ 4
#define NVIC_PMC_IRQ 5
#define NVIC_EEFC_IRQ 6
#define NVIC_RESERVED0_IRQ 7
#define NVIC_UART0_IRQ 8
#define NVIC_UART1_IRQ 9
#define NVIC_RESERVED1_IRQ 10
#define NVIC_PIOA_IRQ 11
#define NVIC_PIOB_IRQ 12
#define NVIC_PIOC_IRQ 13
#define NVIC_USART0_IRQ 14
#define NVIC_USART1_IRQ 15
#define NVIC_RESERVED2_IRQ 16
#define NVIC_RESERVED3_IRQ 17
#define NVIC_RESERVED4_IRQ 18
#define NVIC_TWI0_IRQ 19
#define NVIC_TWI1_IRQ 20
#define NVIC_SPI_IRQ 21
#define NVIC_RESERVED5_IRQ 22
#define NVIC_TC0_IRQ 23
#define NVIC_TC1_IRQ 24
#define NVIC_TC2_IRQ 25
#define NVIC_TC3_IRQ 26
#define NVIC_TC4_IRQ 27
#define NVIC_TC5_IRQ 28
#define NVIC_ADC_IRQ 29
#define NVIC_DACC_IRQ 30
#define NVIC_PWM_IRQ 31

#define NVIC_IRQ_COUNT 32

/**@}*/

/** @defgroup CM3_nvic_isrprototypes_SAM3N User interrupt service routines (ISR) prototypes for Atmel SAM3N series
    @ingroup CM3_nvic_isrprototypes

    @{*/

BEGIN_DECLS

void WEAK supc_isr(void);
void WEAK rstc_isr(void);
void WEAK rtc_isr(void);
void WEAK rtt_isr(void);
void WEAK wdt_isr(void);
void WEAK pmc_isr(void);
void WEAK eefc_isr(void);
void WEAK reserved0_isr(void);
void WEAK uart0_isr(void);
void WEAK uart1_isr(void);
void WEAK reserved1_isr(void);
void WEAK pioa_isr(void);
void WEAK piob_isr(void);
void WEAK pioc_isr(void);
void WEAK usart0_isr(void);
void WEAK usart1_isr(void);
void WEAK reserved2_isr(void);
void WEAK reserved3_isr(void);
void WEAK reserved4_isr(void);
void WEAK twi0_isr(void);
void WEAK twi1_isr(void);
void WEAK spi_isr(void);
void WEAK reserved5_isr(void);
void WEAK tc0_isr(void);
void WEAK tc1_isr(void);
void WEAK tc2_isr(void);
void WEAK tc3_isr(void);
void WEAK tc4_isr(void);
void WEAK tc5_isr(void);
void WEAK adc_isr(void);
void WEAK dacc_isr(void);
void WEAK pwm_isr(void);

END_DECLS

/**@}*/

#endif /* LIBOPENCM3_SAM3N_NVIC_H */
