/* This file is part of the libopencm3 project.
 *
 * It was generated by the irq2nvic_h script.
 */

#ifndef LIBOPENCM3_SAM3X_NVIC_H
#define LIBOPENCM3_SAM3X_NVIC_H

#include <libopencm3/cm3/nvic.h>

/** @defgroup CM3_nvic_defines_SAM3X User interrupts for Atmel SAM3X series
    @ingroup CM3_nvic_defines

    @{*/

#define NVIC_SUPC_IRQ 0
#define NVIC_RSTC_IRQ 1
#define NVIC_RTC_IRQ 2
#define NVIC_RTT_IRQ 3
#define NVIC_WDT_IRQ 4
#define NVIC_PMC_IRQ 5
#define NVIC_EEFC0_IRQ 6
#define NVIC_EEFC1_IRQ 7
#define NVIC_UART_IRQ 8
#define NVIC_SMC_SDRAMC_IRQ 9
#define NVIC_SDRAMC_IRQ 10
#define NVIC_PIOA_IRQ 11
#define NVIC_PIOB_IRQ 12
#define NVIC_PIOC_IRQ 13
#define NVIC_PIOD_IRQ 14
#define NVIC_PIOE_IRQ 15
#define NVIC_PIOF_IRQ 16
#define NVIC_USART0_IRQ 17
#define NVIC_USART1_IRQ 18
#define NVIC_USART2_IRQ 19
#define NVIC_USART3_IRQ 20
#define NVIC_HSMCI_IRQ 21
#define NVIC_TWI0_IRQ 22
#define NVIC_TWI1_IRQ 23
#define NVIC_SPI0_IRQ 24
#define NVIC_SPI1_IRQ 25
#define NVIC_SSC_IRQ 26
#define NVIC_TC0_IRQ 27
#define NVIC_TC1_IRQ 28
#define NVIC_TC2_IRQ 29
#define NVIC_TC3_IRQ 30
#define NVIC_TC4_IRQ 31
#define NVIC_TC5_IRQ 32
#define NVIC_TC6_IRQ 33
#define NVIC_TC7_IRQ 34
#define NVIC_TC8_IRQ 35
#define NVIC_PWM_IRQ 36
#define NVIC_ADC_IRQ 37
#define NVIC_DACC_IRQ 38
#define NVIC_DMAC_IRQ 39
#define NVIC_UOTGHS_IRQ 40
#define NVIC_TRNG_IRQ 41
#define NVIC_EMAC_IRQ 42
#define NVIC_CAN0_IRQ 43
#define NVIC_CAN1_IRQ 44

#define NVIC_IRQ_COUNT 45

/**@}*/

/** @defgroup CM3_nvic_isrprototypes_SAM3X User interrupt service routines (ISR) prototypes for Atmel SAM3X series
    @ingroup CM3_nvic_isrprototypes

    @{*/

BEGIN_DECLS

void WEAK supc_isr(void);
void WEAK rstc_isr(void);
void WEAK rtc_isr(void);
void WEAK rtt_isr(void);
void WEAK wdt_isr(void);
void WEAK pmc_isr(void);
void WEAK eefc0_isr(void);
void WEAK eefc1_isr(void);
void WEAK uart_isr(void);
void WEAK smc_sdramc_isr(void);
void WEAK sdramc_isr(void);
void WEAK pioa_isr(void);
void WEAK piob_isr(void);
void WEAK pioc_isr(void);
void WEAK piod_isr(void);
void WEAK pioe_isr(void);
void WEAK piof_isr(void);
void WEAK usart0_isr(void);
void WEAK usart1_isr(void);
void WEAK usart2_isr(void);
void WEAK usart3_isr(void);
void WEAK hsmci_isr(void);
void WEAK twi0_isr(void);
void WEAK twi1_isr(void);
void WEAK spi0_isr(void);
void WEAK spi1_isr(void);
void WEAK ssc_isr(void);
void WEAK tc0_isr(void);
void WEAK tc1_isr(void);
void WEAK tc2_isr(void);
void WEAK tc3_isr(void);
void WEAK tc4_isr(void);
void WEAK tc5_isr(void);
void WEAK tc6_isr(void);
void WEAK tc7_isr(void);
void WEAK tc8_isr(void);
void WEAK pwm_isr(void);
void WEAK adc_isr(void);
void WEAK dacc_isr(void);
void WEAK dmac_isr(void);
void WEAK uotghs_isr(void);
void WEAK trng_isr(void);
void WEAK emac_isr(void);
void WEAK can0_isr(void);
void WEAK can1_isr(void);

END_DECLS

/**@}*/

#endif /* LIBOPENCM3_SAM3X_NVIC_H */
